# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgGraftDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgGraftDialog(object):
    def setupUi(self, HgGraftDialog):
        HgGraftDialog.setObjectName("HgGraftDialog")
        HgGraftDialog.resize(450, 500)
        HgGraftDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(HgGraftDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox = QtWidgets.QGroupBox(parent=HgGraftDialog)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.revisionsEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox)
        self.revisionsEdit.setTabChangesFocus(True)
        self.revisionsEdit.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.revisionsEdit.setObjectName("revisionsEdit")
        self.verticalLayout.addWidget(self.revisionsEdit)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.userGroup = QtWidgets.QGroupBox(parent=HgGraftDialog)
        self.userGroup.setCheckable(True)
        self.userGroup.setChecked(False)
        self.userGroup.setObjectName("userGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.userGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.currentUserCheckBox = QtWidgets.QCheckBox(parent=self.userGroup)
        self.currentUserCheckBox.setObjectName("currentUserCheckBox")
        self.gridLayout.addWidget(self.currentUserCheckBox, 0, 0, 1, 2)
        self.label_3 = QtWidgets.QLabel(parent=self.userGroup)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.userEdit = QtWidgets.QLineEdit(parent=self.userGroup)
        self.userEdit.setObjectName("userEdit")
        self.gridLayout.addWidget(self.userEdit, 1, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.userGroup)
        self.dateGroup = QtWidgets.QGroupBox(parent=HgGraftDialog)
        self.dateGroup.setCheckable(True)
        self.dateGroup.setChecked(False)
        self.dateGroup.setObjectName("dateGroup")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.dateGroup)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.currentDateCheckBox = QtWidgets.QCheckBox(parent=self.dateGroup)
        self.currentDateCheckBox.setObjectName("currentDateCheckBox")
        self.gridLayout_2.addWidget(self.currentDateCheckBox, 0, 0, 1, 3)
        self.label_4 = QtWidgets.QLabel(parent=self.dateGroup)
        self.label_4.setObjectName("label_4")
        self.gridLayout_2.addWidget(self.label_4, 1, 0, 1, 1)
        self.dateTimeEdit = QtWidgets.QDateTimeEdit(parent=self.dateGroup)
        self.dateTimeEdit.setDisplayFormat("yyyy-MM-dd hh:mm")
        self.dateTimeEdit.setCalendarPopup(True)
        self.dateTimeEdit.setObjectName("dateTimeEdit")
        self.gridLayout_2.addWidget(self.dateTimeEdit, 1, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(241, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem, 1, 2, 1, 1)
        self.verticalLayout_2.addWidget(self.dateGroup)
        self.logCheckBox = QtWidgets.QCheckBox(parent=HgGraftDialog)
        self.logCheckBox.setChecked(True)
        self.logCheckBox.setObjectName("logCheckBox")
        self.verticalLayout_2.addWidget(self.logCheckBox)
        self.dryRunCheckBox = QtWidgets.QCheckBox(parent=HgGraftDialog)
        self.dryRunCheckBox.setObjectName("dryRunCheckBox")
        self.verticalLayout_2.addWidget(self.dryRunCheckBox)
        self.noCommitCheckBox = QtWidgets.QCheckBox(parent=HgGraftDialog)
        self.noCommitCheckBox.setObjectName("noCommitCheckBox")
        self.verticalLayout_2.addWidget(self.noCommitCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgGraftDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(HgGraftDialog)
        self.buttonBox.accepted.connect(HgGraftDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgGraftDialog.reject) # type: ignore
        self.currentUserCheckBox.toggled['bool'].connect(self.label_3.setDisabled) # type: ignore
        self.currentUserCheckBox.toggled['bool'].connect(self.userEdit.setDisabled) # type: ignore
        self.currentDateCheckBox.toggled['bool'].connect(self.label_4.setDisabled) # type: ignore
        self.currentDateCheckBox.toggled['bool'].connect(self.dateTimeEdit.setDisabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgGraftDialog)
        HgGraftDialog.setTabOrder(self.revisionsEdit, self.userGroup)
        HgGraftDialog.setTabOrder(self.userGroup, self.currentUserCheckBox)
        HgGraftDialog.setTabOrder(self.currentUserCheckBox, self.userEdit)
        HgGraftDialog.setTabOrder(self.userEdit, self.dateGroup)
        HgGraftDialog.setTabOrder(self.dateGroup, self.currentDateCheckBox)
        HgGraftDialog.setTabOrder(self.currentDateCheckBox, self.dateTimeEdit)
        HgGraftDialog.setTabOrder(self.dateTimeEdit, self.logCheckBox)
        HgGraftDialog.setTabOrder(self.logCheckBox, self.dryRunCheckBox)
        HgGraftDialog.setTabOrder(self.dryRunCheckBox, self.buttonBox)

    def retranslateUi(self, HgGraftDialog):
        _translate = QtCore.QCoreApplication.translate
        HgGraftDialog.setWindowTitle(_translate("HgGraftDialog", "Copy Changesets"))
        self.groupBox.setTitle(_translate("HgGraftDialog", "Revisions"))
        self.revisionsEdit.setToolTip(_translate("HgGraftDialog", "Enter changesets by number, id, range or revset expression one per line"))
        self.userGroup.setToolTip(_translate("HgGraftDialog", "Select to give user information"))
        self.userGroup.setTitle(_translate("HgGraftDialog", "User"))
        self.currentUserCheckBox.setToolTip(_translate("HgGraftDialog", "Select to use the name of the current user"))
        self.currentUserCheckBox.setText(_translate("HgGraftDialog", "Use current user"))
        self.label_3.setText(_translate("HgGraftDialog", "Username:"))
        self.userEdit.setToolTip(_translate("HgGraftDialog", "Enter the user name to be used"))
        self.dateGroup.setToolTip(_translate("HgGraftDialog", "Select to give date and time information"))
        self.dateGroup.setTitle(_translate("HgGraftDialog", "Date and Time"))
        self.currentDateCheckBox.setToolTip(_translate("HgGraftDialog", "Select to use the current date and time"))
        self.currentDateCheckBox.setText(_translate("HgGraftDialog", "Use current date and time"))
        self.label_4.setText(_translate("HgGraftDialog", "Date/Time:"))
        self.dateTimeEdit.setToolTip(_translate("HgGraftDialog", "Enter the date and time to be used"))
        self.logCheckBox.setToolTip(_translate("HgGraftDialog", "Select to append graft info to the log message"))
        self.logCheckBox.setText(_translate("HgGraftDialog", "Append Graft &Info"))
        self.dryRunCheckBox.setToolTip(_translate("HgGraftDialog", "Select to perform a dry-run of the graft operation"))
        self.dryRunCheckBox.setText(_translate("HgGraftDialog", "Perform Dry-Run"))
        self.noCommitCheckBox.setToolTip(_translate("HgGraftDialog", "Select to not commit the copied changesets"))
        self.noCommitCheckBox.setText(_translate("HgGraftDialog", "Don\'t Commit"))
